function start
clc

%adresar pro ulozeni vysledku
kam_ukladat_vysledky    =   'vysledky';

%tyto parametry budeme zkoumat
h_left          =    30;%m - vyska kde se styka podpera se svahem vlevo
l_left          =    10:2:50;%m - vzdalenost mista doteku podpery a mostovky vlevo

h_right         =    30;%m - vyska kde se styka podpera se svahem vpravo
l_right         =    30;%m - vzdalenost mista doteku podpery a mostovky vpravo

%dalsi parametry lze samozrejme take pridat do cyklu podle potreby
p.b_bridge      =   20.0;%m - sirka mostovky
p.h_bridge      =    0.5;%m - vyska mostovky
p.r_left        =    2.0;%m - polomer leve podpery
p.r_right       =    2.0;%m - polomer prave podpery

%tvorba adresare,tera je zavisla na predchozi existenci nebo neexistenci
%adresare
if ~exist([cd,'/',kam_ukladat_vysledky],'dir')
    mkdir([cd,'/',kam_ukladat_vysledky])
else
    rmdir([cd,'/',kam_ukladat_vysledky], 's')
    mkdir([cd,'/',kam_ukladat_vysledky])
end

for i = 1:length(h_left)
    
    for j = 1:length(h_right)

        for k = 1:length(l_left)
            
            for l = 1:length(l_right)
                
                disp(' ')
                disp(['Working on h_left = ',num2str(h_left(i)),', h_right = ',num2str(h_right(j)),', l_left = ',num2str(l_left(k)),', l_right = ',num2str(l_right(l))])
                
                p.h_left    =   h_left(i);%m 
                p.h_right   =   h_right(j);%m
                p.l_left    =   l_left(k);%m
                p.l_right   =   l_right(l);%m
                
                d                   =   model_data(p);
                
                vysledky(i,j,k,l,:) =   analysis(p);
                
                save([cd,'/',kam_ukladat_vysledky,'/vysledky.mat'],'vysledky');
                
                %prekopirovani obrazku a vysledku do zvoleneho adresare
                copyfile([d.model.figure_pre,'.gif'],[cd,'/',kam_ukladat_vysledky,'/pre_',fitstr0(num2str(h_left(i)),5,1),'_',fitstr0(num2str(h_right(j)),5,1),'_',fitstr0(num2str(l_left(k)),5,1),'_',fitstr0(num2str(l_right(l)),5,1),'.gif'])
                copyfile([d.model.figure_post,'.gif'],[cd,'/',kam_ukladat_vysledky,'/post_',fitstr0(num2str(h_left(i)),5,1),'_',fitstr0(num2str(h_right(j)),5,1),'_',fitstr0(num2str(l_left(k)),5,1),'_',fitstr0(num2str(l_right(l)),5,1),'.gif'])
                
            end
            
        end
        
    end
    
end