function varargout = loadmarctab(varargin)

s = varargin{1};

if nargin > 1
    rskip = varargin{2};
end

if ~strcmp(s,'')
    fid = fopen(s);

    EOF = 0;
    i = 0;

    while ~EOF
        i = i+1;
        A = [];
    % skip TAB header
        separator = 0;
        while (~separator) & (~EOF)
            line = fgetl(fid);
            if ~isstr(line), EOF = 1; break, end
            if ~isempty(line) & strcmp(line(1),'-')
                separator = 1;
            end
        end
        separator = 0;
        while (~separator) & (~EOF)
            line = fgetl(fid);
            if ~isstr(line), EOF = 1; break, end
            if isempty(line)
                separator = 1;
            else
                l = sscanf(line,'%f');
                A = [A;l']; 
            end
        end
        a(i).data = A;
    end
    fclose(fid);
else
    a = [];    
end

varargout{1} = a;

