function read_results

if exist('d.mat','file')
    load d.mat
else
    disp('File d.mat does not exist! {read_results}')
    return
end

fid     =   fopen([d.model.read_results,'.proc'],'wt');%otevreni souboru  pro textovy zapis

    fprintf(fid,['*post_open ',d.model.name,'.t16\n']);%otevreni .t16

    fprintf(fid,'*select_method_point_dist\n');%vyber uzlu pomoci bodu, ze ktereho se sosnou valstni frekvence, na vyberu uzlu nezalezi, vlastni frekvence budou ve vsech uzlech stejne
    fprintf(fid,'*set_select_distance\n');
    fprintf(fid,[num2str(d.mesh.a_mkp/10),'\n']);
    fprintf(fid,'*select_nodes\n');
    fprintf(fid,[num2str(0),' ',num2str(d.dimensions.h),' ',num2str(0),'\n']);
    fprintf(fid,'*set_history_locations\n');
    fprintf(fid,'all_selected\n');
    fprintf(fid,'*history_collect\n');
    fprintf(fid,'0:1\n');%vlastni frkvence je dulezite tahat z nulteho incrementu po subincrementech, vse se musi zadat rucne!!!!!!!
    fprintf(fid,['0:',num2str(d.no_modal_freq),'\n']);
    fprintf(fid,'0:1\n');
    fprintf(fid,'*history_add_var\n');
    fprintf(fid,'Sub Increment\n');
    fprintf(fid,'Frequency\n');
    fprintf(fid,['*history_write ',d.model.table,'.table yes\n']);

    %vytisteni obrazku
    fprintf(fid,'*set_deformed both\n');
    fprintf(fid,'*post_symbols\n');
    fprintf(fid,'*fill_view\n');
    fprintf(fid,'*set_automag off\n');
    fprintf(fid,'*set_defmag 10000\n');
    fprintf(fid,'*post_skip 1\n');
    fprintf(fid,['*image_save_gif 1 ',d.model.figure_post,'.gif yes\n']);

    
    %vyskoci z mentatu
    fprintf(fid,'*quit yes\n');  
    
fclose(fid);%uzavreni vypisu .proc souboru
